a = float(input('Podaj długość: '))
b = float(input('Podaj szerokość: '))
c = float(input('Podaj wysokość: '))
v = a * b * c

# W tej wersji wszystkie informacje o wykrytych problemach dodaję do listy.
# Na końcu sprawdzam, czy były jakiekolwiek błędy i jeśli, to je wypisują.
bledy = []

if a > 50:
    bledy.append('zbyt duża długość')
if b > 50:
    bledy.append('zbyt duża szerokość')
if c > 50:
    bledy.append('zbyt duża wysokość')
if v > 50_000:
    bledy.append(f'zbyt duża objętość {v}')

if bledy:
    print('Bagaż został odrzucony z powodu takich problemów:')
    for blad in bledy:
        print(f' * {blad}')
else:
    print('Bagaż zaakceptowany')
